Subject: bug#75557: closed (Re: bug#75557: gnus-highlight-selected-tree is broken (fix))

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 02 Mar 2025 04:34:03 +0000

Your bug report

#75557: gnus-highlight-selected-tree is broken (fix)

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
75557: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=75557
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#75557: gnus-highlight-selected-tree is broken (fix)
From: Stefan Kangas <[email-masked]>
To: Stefan Monnier <[email-masked]>
Cc: Eli Zaretskii <[email-masked]>, Pranshu Sharma <[email-masked]>, [email-masked]
Date: Sat, 1 Mar 2025 20:32:59 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Stefan Monnier <[email-masked]> writes:

>> My only question is if we should perhaps make `buffer-live-p` throw an
>> error in case it is passed something of the wrong type.  Yes, it is a
>> backwards-incompatible change, but OTOH it would catch real bugs like
>> the above, instead of silently returning nil.
>>
>> For example, we can currently do all of this nonsense:
>>
>>     (buffer-live-p 123)                          => nil
>>     (buffer-live-p [foo])                        => nil
>>     (buffer-live-p (make-symbol "foo"))          => nil
>>     (buffer-live-p (lambda () (message "foo")))  => nil
>>
>> Eli, Stefan, WDYT?
>
> I'm pretty sure it would introduce bugs because I know I wrote code
> which relies on `buffer-live-p` behaving "like a type check"
> (i.e. accepting any object).
> I'd be surprised if I was the only one.

OK, then I guess there's not much more to do here.

I'm therefore closing this bug report.

Subject: gnus-highlight-selected-tree is broken (fix)
From: Pranshu Sharma <[email-masked]>
To: [email-masked]
Date: Wed, 15 Jan 2025 00:03:40 +1000
List-Id: <debbugs-submit.debbugs.gnu.org>

seems like buffer-live-p does not accept string buffer names anymore

diff --git a/lisp/gnus/gnus-salt.el b/lisp/gnus/gnus-salt.el
index 6514d8d4174..75daf7e7cfa 100644
--- a/lisp/gnus/gnus-salt.el
+++ b/lisp/gnus/gnus-salt.el
@@ -808,7 +808,7 @@ gnus-tree-perhaps-minimize
 
 (defun gnus-highlight-selected-tree (article)
   "Highlight the selected article in the tree."
-  (when (buffer-live-p gnus-tree-buffer)
+  (when (buffer-live-p (get-buffer gnus-tree-buffer))
     (let ((buf (current-buffer))
 	  region)
       (set-buffer gnus-tree-buffer)

-- 
Pranshu Sharma <https://p.bauherren.ovh>